User avatar
By seghier
#400606
I create this wheel with poetry and it installed in C:\Python39\Lib\site-packages\maxwell
(see attached file)
the problem when i use
Code: Select all
from maxwell import pymaxwell5
and
Code: Select all
 runMaxwell(parameters);
i got error:
Code: Select all
Traceback (most recent call last):
  File "C:\Python39\lib\site-packages\maxwell\pymaxwell5.py", line 23, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python39\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 972, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 972, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 984, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'axwell'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\archi\Dropbox\Maxwell tool\player\player.py", line 5, in <module>
    from maxwell import pymaxwell5
  File "C:\Python39\lib\site-packages\maxwell\pymaxwell5.py", line 26, in <module>
    _pymaxwell5 = swig_import_helper()
  File "C:\Python39\lib\site-packages\maxwell\pymaxwell5.py", line 25, in swig_import_helper
    return importlib.import_module('_pymaxwell5')
  File "C:\Python39\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pymaxwell5'
if i use
Code: Select all
from maxwell import *
and
Code: Select all
pymaxwell5.runMaxwell(parameters);
i got this error:
Image[/color]

How i can install and use it like any other python module?
You do not have the required permissions to view the files attached to this post.
User avatar
By seghier
#400607
Still errors, this related to pymaxwell5, i hope you make official python wheel
Code: Select all
_id=a24eede9-a197-4e2d-ac29-53423774f0b2 fwd="41.102.250.8" dyno= connect= service= status=503 bytes= protocol=https
2021-03-25T19:58:57.519988+00:00 heroku[worker.1]: State changed from starting to up
2021-03-25T19:58:57.916084+00:00 heroku[router]: at=error code=H14 desc="No web processes running" method=GET path="/favicon.ico" host=maxwell-render.herokuapp.com request_id=ad9321ee-55d7-419b-88ec-4e1372d4985f fwd="41.102.250.8" dyno= connect= service= status=503 bytes= protocol=https
2021-03-25T19:59:00.765930+00:00 app[worker.1]: Traceback (most recent call last):
2021-03-25T19:59:00.766015+00:00 app[worker.1]: File "/app/.heroku/python/lib/python3.9/site-packages/pymaxwell5.py", line 23, in swig_import_helper
2021-03-25T19:59:00.766333+00:00 app[worker.1]: return importlib.import_module(mname)
2021-03-25T19:59:00.766365+00:00 app[worker.1]: File "/app/.heroku/python/lib/python3.9/importlib/__init__.py", line 127, in import_module
2021-03-25T19:59:00.766625+00:00 app[worker.1]: return _bootstrap._gcd_import(name[level:], package, level)
2021-03-25T19:59:00.766656+00:00 app[worker.1]: File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
2021-03-25T19:59:00.766919+00:00 app[worker.1]: File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
2021-03-25T19:59:00.767106+00:00 app[worker.1]: File "<frozen importlib._bootstrap>", line 981, in _find_and_load_unlocked
2021-03-25T19:59:00.767358+00:00 app[worker.1]: ModuleNotFoundError: No module named 'pymaxwell5._pymaxwell5'; 'pymaxwell5' is not a package
2021-03-25T19:59:00.767388+00:00 app[worker.1]:
2021-03-25T19:59:00.767389+00:00 app[worker.1]: During handling of the above exception, another exception occurred:
2021-03-25T19:59:00.767390+00:00 app[worker.1]:
2021-03-25T19:59:00.767421+00:00 app[worker.1]: Traceback (most recent call last):
2021-03-25T19:59:00.767456+00:00 app[worker.1]: File "/app/render.py", line 11, in <module>
2021-03-25T19:59:00.767705+00:00 app[worker.1]: from pymaxwell5 import *
2021-03-25T19:59:00.767741+00:00 app[worker.1]: File "/app/.heroku/python/lib/python3.9/site-packages/pymaxwell5.py", line 26, in <module>
2021-03-25T19:59:00.768015+00:00 app[worker.1]: _pymaxwell5 = swig_import_helper()
2021-03-25T19:59:00.768050+00:00 app[worker.1]: File "/app/.heroku/python/lib/python3.9/site-packages/pymaxwell5.py", line 25, in swig_import_helper
2021-03-25T19:59:00.768319+00:00 app[worker.1]: return importlib.import_module('_pymaxwell5')
2021-03-25T19:59:00.768354+00:00 app[worker.1]: File "/app/.heroku/python/lib/python3.9/importlib/__init__.py", line 127, in import_module
2021-03-25T19:59:00.768607+00:00 app[worker.1]: return _bootstrap._gcd_import(name[level:], package, level)
2021-03-25T19:59:00.768720+00:00 app[worker.1]: ModuleNotFoundError: No module named '_pymaxwell5'
2021-03-25T19:59:00.911606+00:00 heroku[worker.1]: Process exited with status 1
2021-03-25T19:59:00.977867+00:00 heroku[worker.1]: State changed from up to crashed
User avatar
By seghier
#400608
  • I Copy : _pymaxwell5.pyd and pymaxwell5.py to a new folder: /pymaxwell5
  • Rename pymaxwell5.py to __init__.py
  • Use this in python script:
    Code: Select all
    from pymaxwell5 import * 
I notice later that the official python folder in maxwell folder use the same method

Image

With this method i can create python package and install it in any python version but sadly did't work with heroku heroku.com
and i don't know what this error mean:
Code: Select all
ModuleNotFoundError: No module named 'pymaxwell5._pymaxwell5'; 'pymaxwell5' is not a package
You do not have the required permissions to view the files attached to this post.

Fernando sends me this for OpenCL Errors: That l[…]

looking for grass mxm

I made a suggestion on the FB page of Maxwell, for[…]

Hi numerobis, if I remember correctly, You can ge[…]

A small issue, when reopening an MXI to Resume Ren[…]